=== debian/control ===
Source: ros-jazzy-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-jazzy-ament-cmake, ros-jazzy-class-loader, ros-jazzy-geometric-shapes, ros-jazzy-interactive-markers, ros-jazzy-moveit-common, ros-jazzy-moveit-ros-planning-interface, ros-jazzy-moveit-ros-robot-interaction, ros-jazzy-moveit-ros-warehouse, ros-jazzy-object-recognition-msgs, ros-jazzy-pluginlib (>= 1.11.2), ros-jazzy-rclcpp, ros-jazzy-rclpy, ros-jazzy-rviz2, ros-jazzy-tf2-eigen, ros-jazzy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-geometric-shapes, ros-jazzy-interactive-markers, ros-jazzy-moveit-common, ros-jazzy-moveit-ros-planning-interface, ros-jazzy-moveit-ros-robot-interaction, ros-jazzy-moveit-ros-warehouse, ros-jazzy-object-recognition-msgs, ros-jazzy-pluginlib (>= 1.11.2), ros-jazzy-rclcpp, ros-jazzy-rclpy, ros-jazzy-rviz2, ros-jazzy-tf2-eigen, ros-jazzy-ros-workspace
Description: Components of MoveIt that offer visualization
